<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.35.65" id="app_SRCreatePageDef"
                Package="oracle.srdemo.view.pageDefs">
  <parameters/>
  <executables>
    <invokeAction Binds="cancelNewServiceRequest"
                  id="clearServiceRequestFieldsIfNotInTrain"
                  Refresh="prepareModel"
                  RefreshCondition="${adfFacesContext.postback == false and empty requestScope.processChoice}"/>
    <iterator id="ProductListIterator" Binds="ProductList" RangeSize="-1"
              DataControl="SRService"/>
    <iterator id="GlobalsIterator" RangeSize="10" Binds="Globals"
              DataControl="SRService"/>
  </executables>
  <bindings>
    <attributeValues IterBinding="GlobalsIterator" id="ProblemDescription">
      <AttrNames>
        <Item Value="ProblemDescription"/>
      </AttrNames>
    </attributeValues>
    <list StaticList="false" ListOperMode="0" IterBinding="GlobalsIterator"
          ListIter="ProductListIterator" id="ProductList">
      <AttrNames>
        <Item Value="ProductId"/>
        <Item Value="ProductName"/>
      </AttrNames>
      <ListAttrNames>
        <Item Value="ProdId"/>
        <Item Value="Name"/>
      </ListAttrNames>
      <ListDisplayAttrNames>
        <Item Value="Name"/>
      </ListDisplayAttrNames>
    </list>
    <attributeValues IterBinding="GlobalsIterator" id="ProductId">
      <AttrNames>
        <Item Value="ProductId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="GlobalsIterator" id="ProductName">
      <AttrNames>
        <Item Value="ProductName"/>
      </AttrNames>
    </attributeValues>
    <methodAction id="cancelNewServiceRequest"
                  InstanceName="SRService.dataProvider"
                  DataControl="SRService"
                  MethodName="cancelNewServiceRequest"
                  RequiresUpdateModel="true" Action="999"/>
  </bindings>
</pageDefinition>
